Last Comment Bug 633019 - create a xorg.conf file for linux test slaves that sets resolution to 1600x1200
: create a xorg.conf file for linux test slaves that sets resolution to 1600x1200
Status: RESOLVED FIXED
[puppet]
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: All Linux
: P2 normal (vote)
: ---
Assigned To: Armen Zambrano [:armenzg] (EDT/UTC-4)
:
Mentors:
Depends on:
Blocks: 629616 593874
  Show dependency treegraph
 
Reported: 2011-02-09 15:57 PST by John Ford [:jhford] CET/CEST Berlin Time
Modified: 2013-08-12 21:54 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
xorg.conf for 1280x1024 (2.48 KB, text/plain)
2011-02-09 16:36 PST, John Ford [:jhford] CET/CEST Berlin Time
no flags Details
new 1600x1200 xorg.conf (2.44 KB, text/plain)
2011-02-09 16:46 PST, John Ford [:jhford] CET/CEST Berlin Time
no flags Details
changes to the puppet-manifests to deploy a new xorg.conf file (514 bytes, patch)
2011-02-09 16:59 PST, John Ford [:jhford] CET/CEST Berlin Time
no flags Details | Diff | Splinter Review
new 1600x1200 xorg.conf for x86_64 (2.44 KB, text/plain)
2011-02-10 10:27 PST, John Ford [:jhford] CET/CEST Berlin Time
no flags Details
[puppet] manage xorg.conf through puppet module (5.86 KB, patch)
2011-02-15 12:10 PST, Armen Zambrano [:armenzg] (EDT/UTC-4)
dustin: review+
armenzg: checked‑in+
Details | Diff | Splinter Review

Description John Ford [:jhford] CET/CEST Berlin Time 2011-02-09 15:57:34 PST
It is important for us to be able to run our minis at 1600x1200 on linux.  This bug is going to track the creation of a xorg.conf file that does this as well as a puppet manifest patch that could deploy this change.
Comment 1 John Ford [:jhford] CET/CEST Berlin Time 2011-02-09 16:34:29 PST
I think I have found the issue that caused this not to work before.  There was another area in the config file that had to be set.  I have a xorg.conf file here that has convinced the mac mini to run at 1600x1200 with the proper gnome-panel and window manager sizing (see bug 593874 comment 22 for background).  I still need to verify that these changes stick on reboot.

xorg.conf soon to be attached.
Comment 2 John Ford [:jhford] CET/CEST Berlin Time 2011-02-09 16:36:01 PST
Created attachment 511232 [details]
xorg.conf for 1280x1024

old file
Comment 3 John Ford [:jhford] CET/CEST Berlin Time 2011-02-09 16:46:19 PST
Created attachment 511234 [details]
new 1600x1200 xorg.conf

this is a xorg.conf that will properly set the resolution to 1600x1200.  tested to keep resolution after reboot, not tested on 64bit, not tested with staging runs.
Comment 4 John Ford [:jhford] CET/CEST Berlin Time 2011-02-09 16:59:42 PST
Created attachment 511243 [details] [diff] [review]
changes to the puppet-manifests to deploy a new xorg.conf file

I still need to test this change and will test the 64bit change at the same time (should be identical xorg.conf file for both) that I test the puppet changes.
Comment 5 John Ford [:jhford] CET/CEST Berlin Time 2011-02-10 10:02:19 PST
Good thing we run through staging.  I forgot that the 64bit files will need to have slightly different paths

Section "Files"
    ModulePath      "/usr/lib/xorg/modules/extensions/nvidia"
    ModulePath      "/usr/lib/xorg/modules"
EndSection

needs to be /usr/lib64 for 64bit versions.

Also, this will only take affect after the second reboot. The first reboot will install the xorg.conf file, but the old xorg.conf file will be used for that boot.  The second reboot will start up X with the newly deployed xorg.conf
Comment 6 John Ford [:jhford] CET/CEST Berlin Time 2011-02-10 10:19:48 PST
(In reply to comment #5)
> needs to be /usr/lib64 for 64bit versions.

I have verified that this fixed the 64bit machines and they are now starting with an X11 server running at 1600x1200 with gnome-panel and metacity using proper placement.
Comment 7 John Ford [:jhford] CET/CEST Berlin Time 2011-02-10 10:27:33 PST
Created attachment 511435 [details]
new 1600x1200 xorg.conf for x86_64

this file is needed for 64bit versions of fedora because they use a different directory for the native libraries (/usr/lib64 instead of /usr/lib)
Comment 8 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-02-10 14:31:06 PST
(In reply to comment #5)
> Also, this will only take affect after the second reboot. The first reboot will
> install the xorg.conf file, but the old xorg.conf file will be used for that
> boot.  The second reboot will start up X with the newly deployed xorg.conf
>
I had the same circumstance with the darwin machines. I removed the DO_NOT_START file after the second reboot.

BTW it might help you to run this on the staging master that does not receive sendchanges and run a manual sendchange.
This way is easier to compare any oranges that show up with a given changeset on tbpl.

Another note, check that you don't add more slaves into the pool without checking that it really points to staging puppet. It bit me hard last time.

This is fantastic progress. I am glad it was this easy after all.

Please let me know when you feel confident about getting this in.
I would deploy it for you on a short downtime any of the EST mornings next week.
Comment 9 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-02-11 09:09:23 PST
jhford will be buildonduty next week.
I will drive this to completion and will deploy this with the next downtime.
Comment 10 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-02-15 12:10:21 PST
Created attachment 512555 [details] [diff] [review]
[puppet] manage xorg.conf through puppet module
Comment 11 John Ford [:jhford] CET/CEST Berlin Time 2011-02-15 12:13:01 PST
easy way to check that it is the right resolution over ssh is to run

DISPLAY=:0 xrandr | grep current
Comment 12 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-02-17 09:27:47 PST
Comment on attachment 512555 [details] [diff] [review]
[puppet] manage xorg.conf through puppet module

http://hg.mozilla.org/build/puppet-manifests/rev/6bfd8419ce06
Comment 13 Armen Zambrano [:armenzg] (EDT/UTC-4) 2011-02-17 10:59:57 PST
I have updated the ref machines and documented the changes:
https://wiki.mozilla.org/ReferencePlatforms

Nothing left to be done.

Note You need to log in before you can comment on or make changes to this bug.